Documentation generator: JsDoc Toolkit 2.4.0
Template: Codeview 1.2
Generated on: 2011-5-27 22:23

# Class Api

- Defined in: Api.js
- Extends HopObject

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Api()

## Method Summary

Method Attributes | Method Name and Description
--- | ---
<static> | Api.constrain(site, user)
| getPermission()
<static> | Api.getSite(name)
<static> | Api.getStory(id)
<static> | Api.getUser(name, password)
| main_action_xmlrpc(methodName)

Methods borrowed from class HopObject:
  addTag
  checkbox_macro
  created_macro
  creator_macro
  deleteMetadata
  getFormOptions
  getFormValue
  getMetadata
  getTags
  getTitle
  handleMetadata
  input_macro
  kind_macro
  link_filter
  link_macro
  log
  macro_macro
  map
  metadata_macro
  modified_macro
  modifier_macro
  notify
  onRequest
  radiobutton_macro
  removeTag
  select_macro
  self_macro
  setMetadata
  setTags
  skin_macro
  textarea_macro
  toString
  touch
  type_macro
  upload_macro

## Class Detail

Api()

## Method Detail

- <static> Api.constrain(site, user)
  Parameters:
  {Site} site
  {User} user
- {Boolean} getPermission()
  Returns:
    {Boolean}
- <static> {Site} Api.getSite(name)
  Parameters:
  {String} name
  Throws:
  {Error}
  Returns:
    {Site}
- <static> {Story} Api.getStory(id)
  Parameters:
  {Number} id
  Throws:
  {Error}
  Returns:
    {Story}
- <static> {User} Api.getUser(name, password)
  Parameters:
  {String} name
  {String} password
  Throws:
  {Error}
  Returns:
    {User}
- main_action_xmlrpc(methodName)
  Parameters:
  {String} methodName
  Throws:
  {Error}